// Programme principal : test de la pendule
#include <QApplication>
// #include <QtWidgets>
#include <QtGlobal>
#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
#  include <QtWidgets>
#else
#  include <QtGui>
#endif

#include "Loterie.h"

int main(int N, char *P[])
{
    QApplication app(N, P);
    Loterie *lot = new Loterie;
    lot->resize(800,800);
    QPushButton *stopBout = new QPushButton("&Lancer");
    QObject::connect(stopBout, SIGNAL(clicked()), lot, SLOT(lance()));
    // on definit un gestionnaire de zone QVBoxLayout.
    QVBoxLayout *gestZone = new QVBoxLayout;
    gestZone->addWidget(lot);
    gestZone->addWidget(stopBout);
    // Un  QWidget fenetre pour y mettre le gestionnaire.
    QWidget fenetre;
    fenetre.setLayout(gestZone);
    fenetre.resize(800,820);
    fenetre.show();
    return app.exec();
}

